Subject: bug#6991: Please keep bytecode out of *Backtrace* buffers

From: "Drew Adams" <[email-masked]>
Date: Mon, 2 Jul 2012 12:06:27 -0700

> You can try the simple patch below.  It doesn't cut it for me, and
> I think the only way to make it work well would be to change the
> representation of the byte-codes so that they're not just a "unibyte
> string" but an object with a distinctive type: the patch only catches
> the case where the byte-codes appear within a printed
> byte-compiled-function, not when they're arguments to the `byte-code'
> function or to the `make-byte-code' function, and I'm sure 
> there can be other cases.

Thanks, but I don't build Emacs.  Hopefully something like this will be added to
Emacs itself, even if it is only a partial solution.

Did you mean to close the bug?  It seems to be getting closed just because (?)
6991-done is in the recipients list.

If you did not mean to close it, let's please reopen it.  Even if it is made
only a wishlist item, it is a useful enhancement request.